##
## clirc -- An IRC client in Python.
## rnd.py - Random number generator.
##
## Copyleft 1997-2000 Teemu Kalvas <chery@s2.org>
##

import time

val = int(time.time())

def rnd():
    global val

    val = int((756839L * long(val) + 31L) % 2147483647L)
    return val

## End. ##
